Summary: A C library for asynchronous DNS requests (including name resolves)
Name: c-ares
Version: 1.19.1
Release: 5%{?dist}
License: MIT
URL: http://c-ares.haxx.se/
Source0: http://c-ares.haxx.se/download/%{name}-%{version}.tar.gz

Patch0001: 0001-fix-CVE-2024-25629-for-c-ares-1.19.1.patch

Patch3000: 0001-Use-RPM-compiler-options.patch

BuildRequires: gcc cmake make

%description
C-ares is an asynchronous resolver library. It is intended for applications which
need to perform DNS queries without blocking, or need to perform multiple DNS 
queries in parallel. The primary examples of such applications are servers which
communicate with multiple clients and programs with graphical user interfaces.

%package devel
Summary: Development package for c-ares
Requires: %{name} = %{version}-%{release}

%description devel
This package contains libcares development headers and libraries.Also it supports 
pkgconfig.


%prep
%autosetup -p1


%build
%{cmake} -DCMAKE_INSTALL_LIBDIR:PATH="%{_libdir}" -DCARES_BUILD_TOOLS:BOOL=OFF
%cmake_build

%install
%cmake_install

%files
%license LICENSE.md
%doc README.md CHANGES NEWS
%{_libdir}/*.so.*

%files devel
%{_includedir}/*.h
%{_libdir}/cmake/c-ares/
%{_libdir}/libcares.so
%{_libdir}/pkgconfig/libcares.pc
%{_mandir}/man3/*.3.gz


%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.19.1-5
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.19.1-4
- Rebuilt for loongarch release

* Wed Mar 6 2024 Doris Chao <doriscchao@tencent.com> - 1.19.1-3
- Add Patch0001 to fix CVE-2024-25629

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.19.1-2
- Rebuilt for OpenCloudOS Stream 23.09

* Wed Jun 21 2023 kianli <kianli@tencent.com> - 1.19.1-1
- Upgrade to 1.19.1

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.18.1-4
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.18.1-3
- Rebuilt for OpenCloudOS Stream 23

* Fri Dec 23 2022 Miaojun Dong <zoedong@tencent.com> - 1.18.1-2
- enable cmake

* Thu Jun 16 2022 doriscchao <doriscchao@tencent.com> - 1.18.1-1
- initial build, Version 1.18.1, Release 1

